using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using GBPVR.Public;

namespace gbweb
{
	/// <summary>
	/// Summary description for Search.
	/// </summary>
	public class Search : System.Web.UI.Page
	{
		protected System.Web.UI.HtmlControls.HtmlInputImage imageSubmit;
		protected System.Web.UI.WebControls.LinkButton hlSubmit;
		protected System.Web.UI.WebControls.HyperLink hlReset;
		protected System.Web.UI.WebControls.ListBox listChannels;
		protected System.Web.UI.WebControls.DropDownList genreList;
		protected System.Web.UI.HtmlControls.HtmlTableRow trMoviesOnly;

		private void Page_Load(object sender, System.EventArgs e)
		{
			Schedule scheduleHelper = Global.Schedule;
			IList listingsForPeriod;
			listingsForPeriod = scheduleHelper.GetListingsForTimePeriod(DateTime.Now, DateTime.Now);

			foreach (Channel channel in listingsForPeriod)
			{
				listChannels.Items.Add(new ListItem(channel.channelName, channel.channelNumber.ToString()));
			}
			listChannels.Rows = Global.Settings.timelineRepeat;

			Global.FillGenreList(genreList);
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.hlSubmit.Click += new System.EventHandler(this.hlSubmit_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void hlSubmit_Click(object sender, System.EventArgs e)
		{
			Server.Transfer("SearchResults.aspx");
		}
	}
}
